<!DOCTYPE html>
<html>
    <head>
        <title>Lab 4</title>
        <link rel="stylesheet" href="styles/site.css" type="text/css" />
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
    </head>

    <body class="theme-default aui-theme-default">
        <div id="page">
            <div id="main" class="aui-page-panel">
                

                <div id="content" class="view">
                   
                    <div id="main-content" class="wiki-content group">
                    <h2 id="AWSLab4-Lab4:Create/RegisterModel">Lab 4: Create/Register Model</h2><p><em>Overview:</em></p><p>This lab adds three additional jobs to the pipeline: <em>Condition</em>, <em>Register Model</em>, and <em>Create Model</em>.</p><ul><li><p><em>Create Model</em> names the model and describes a primary container to house the model.</p></li><li><p><em>Register Model</em> allows us to deploy the model and manage all the versions.</p></li><li><p>The <em>Condition</em> step ensures we don’t create and register a model that doesn’t meet a certain standard.</p></li></ul><p>It is standard practice to compare the current model with a baseline model to ensure that only the best model is registered. In this exercise, the threshold mean-squared error has been set to 0.7.</p><p><em>Roadmap:</em></p><ol><li><p>Open the Lab environment and log in to AWS</p></li><li><p>Set up your repository for Lab 4</p></li><li><p>Read through Conditional, Register Model, and Create Model steps in pipeline.py</p></li><li><p>Run the pipeline</p></li><li><p>View Pipeline Graph and generated Logs</p></li><li><p>View created model under “Recent Activity” in SageMaker Dashboard</p></li></ol><p><em>Instructions:</em></p><ol><li><p>Open the Lab environment and log in to AWS</p><ol><li><p>Use the provided link to open CloudShare. Click <strong>Microsoft Office Professional Plus 2019 (Windows Server 2019) </strong>at the top of the page. The VM will load and open.</p></li><li><p>Once in the VM open Google Chrome from the taskbar and navigate to <a class="external-link" href="https://aws.amazon.com/" rel="nofollow">https://aws.amazon.com/</a></p></li><li><p>Sign in to the Console using the AWS credentials located in <strong>Public Clouds </strong>on the left sidebar.</p></li></ol></li><li><p>Set up your Notebook Instance repository for Lab 4</p><ol><li><p>Hit the <strong>+</strong> on the top left to open the Launcher Page</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324365340/2324103197.png" data-image-src="attachments/2324365340/2324103197.png" data-height="639" data-width="1699" data-unresolved-comment-count="0" data-linked-resource-id="2324103197" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-020544.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324365340" data-linked-resource-container-version="1" data-media-id="c064d38a-8bc2-43d4-89df-c4b1461edd55" data-media-type="file"></span></li><li><p>Scroll down and open a Terminal</p></li><li><p>Copy and paste the following code into your Terminal. Hit Enter.</p><div class="code panel pdl" style="border-width: 1px;"><div class="codeContent panelContent pdl">
<pre class="syntaxhighlighter-pre" data-syntaxhighlighter-params="brush: java; gutter: false; theme: Confluence" data-theme="Confluence">cd SageMaker/aws-intro-to-mlops/
git pull origin main
git fetch --all --tags
git checkout lab4
</pre>
</div></div></li><li><p>You are now set up for Lab 4</p></li></ol></li><li><p>Read through Conditional, Register Model, and Create Model steps in pipeline.py</p><ol><li><p>Navigate to <strong>pipeline.py</strong>. Notice three new steps have been added.</p><ol><li><p><em>Create Model</em> (Line 277) names a model and describes a primary container for the model.</p></li><li><p><em>Register Model </em>(Line 303) allows you to deploy the model and manage versions.</p></li><li><p>The <em>conditional</em> step (Line 330) defines the condition the model must meet before creating and registering it. In this case, the model must have a <strong>mse score</strong> less than 0.7. Alternatively, we could compare the current model with a baseline model. If the current model does not perform as well as the baseline model we discard the current model and use the baseline model.</p></li></ol></li></ol></li><li><p>Run the pipeline</p><ol><li><p>Right-click in the script and select <strong>create console for editor</strong>. Select <strong>conda_python_3 </strong>as your preferred terminal if prompted.</p></li><li><p>In the new console type the command <code>run pipeline.py</code> and hit shift-enter.</p><ol><li><p>The pipeline may run for up to 15 minutes so this would be a great time to grab a cup of coffee or tea. The finished pipeline will return the message: “<code>Wine Model Build Pipeline complete.</code>&quot;</p></li><li><p>Continue to the next step to visualize the graph as it executes.</p></li></ol></li></ol></li><li><p>View Pipeline Graph and generate Logs in SageMaker Studio</p><ol><li><p>Navigate to <strong>SageMaker Studio</strong></p><ol><li><p>Return to SageMaker. Click <strong>Studio</strong> on the left navigation bar and select<strong> aieu-student </strong>under users.</p></li><li><p>Select <strong>Studio </strong>under <strong>Launch App</strong>.</p></li></ol></li><li><p>View the Pipeline Graph</p><ol><li><p>Select the SageMaker resources icon on the left console :pipeline: .</p></li><li><p>In the drop-down menu select <strong>Pipelines</strong>.</p></li><li><p>Select <strong>WineQualityPipeline </strong>from the list of pipelines. Double click on the successful run.</p></li><li><p>Notice the condition, create, and register steps have been added to the graph. Explore the output and logs of each of the new steps. Notice the output of <strong>WineMSECond</strong> is True meaning the model mse was less than 0.7.</p></li><li><p>Quiz: Of the three most recently created steps in the pipeline graph, which pipeline step shows the mse, mae, and r_squared values in the <strong>Output</strong> tab?</p></li></ol></li><li><p>Your complete pipeline should resemble the image below</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324365340/2324103204.png" data-image-src="attachments/2324365340/2324103204.png" data-height="757" data-width="1275" data-unresolved-comment-count="0" data-linked-resource-id="2324103204" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-193001.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324365340" data-linked-resource-container-version="1" data-media-id="8240f51f-5d29-4142-930e-27adb70c7049" data-media-type="file"></span><p> </p></li></ol></li><li><p>View your model in SageMaker</p><ol><li><p>Return to the <strong>Amazon SageMaker</strong> Dashboard.</p></li><li><p>You will find your model on the left sidebar under <strong>Inference &gt; Models</strong>.</p><span class="confluence-embedded-file-wrapper image-center-wrapper confluence-embedded-manual-size"><img class="confluence-embedded-image image-center" width="632" loading="lazy" src="attachments/2324365340/2324103210.png?width=632" data-image-src="attachments/2324365340/2324103210.png" data-height="742" data-width="1719" data-unresolved-comment-count="0" data-linked-resource-id="2324103210" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-193245.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324365340" data-linked-resource-container-version="1" data-media-id="0344354f-9780-469a-8e4a-a1d818009700" data-media-type="file"></span><p> </p></li></ol></li><li><p>Ensure you shut down any Terminal Sessions or Kernel Sessions in your Notebook Instance</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324365340/2324103216.png" data-image-src="attachments/2324365340/2324103216.png" data-height="416" data-width="415" data-unresolved-comment-count="0" data-linked-resource-id="2324103216" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-020349.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324365340" data-linked-resource-container-version="1" data-media-id="b2c597cc-c56a-4692-bdb1-29d8383a21cf" data-media-type="file"></span></li></ol><p> </p><p> </p>
                    </div>

            
                    
                 
                </div>             </div> 
            <div id="footer" role="contentinfo">
                
            </div>
        </div>     </body>
</html>
